#ifndef OIRAN_LINDA_IMAGE_HPP
#define OIRAN_LINDA_IMAGE_HPP

#include <GL/gl.h>
#include <oiran/noncopyable.hpp>

namespace oiran { namespace linda {


	class image_t
	{
	public:
		image_t();
		~image_t();

		void load(const char* file_name);
		void draw(double x, double y);

	private:
		OIRAN_NONCOPYABLE(image_t);

	private:
		int M_width;
		int M_height;
		GLuint M_id;
	};


}} // namespace oiran::linda.

#endif // OIRAN_LINDA_IMAGE_HPP
