#ifndef OIRAN_RANDOM_HPP
#define OIRAN_RANDOM_HPP

#include <cstdlib>

namespace oiran {


	inline void random_seed(unsigned int value)
	{
		std::srand(value);
	}


	inline double random(double max)
	{
		return max * std::rand() / (RAND_MAX + 1.0);
	}


} // namespace oiran.

#endif // OIRAN_RANDOM_HPP
