#include "scene.hpp"

namespace oiran { namespace linda {


	scene_t::scene_t() :
			M_valid(true)
	{
	}

	scene_t::~scene_t()
	{
	}


	scene_manager_t::scene_manager_t()
	{
	}

	scene_manager_t::~scene_manager_t()
	{
	}

	void
	scene_manager_t::push(int id)
	{
		M_scene_ids.push(id);
	}

	void
	scene_manager_t::update()
	{
		if(M_active.get())
			if(!M_active->valid())
				M_active.reset();

		if(!M_active.get() && !M_scene_ids.empty())
		{
			M_active.reset(create(M_scene_ids.top()));
			M_scene_ids.pop();
		}

		if(M_active.get())
			M_active->update();
	}

	void
	scene_manager_t::draw(graphics_t& g)
	{
		if(M_active.get())
			M_active->draw(g);
	}


}} // namespace oiran::linda.
